//chemesis2.0
//cabufSI.g
function cabuf (pool, Cainit, cabufinit, buftot, rad, len)
float rad, len
float Cainit, cabufinit, buftot
str pool

//units of 1 means concentration is in millimolar (SI units)

    float PI=3.14159
    float areaout=2*PI*rad*len
    float areaside=PI*rad*rad
    float volume=areaside*len
//volume units are cm^3

    /* create pools of molecules */
    create rxnpool {pool}Ca
    setfield {pool}Ca Cinit {Cainit} vol {volume} SAout {areaout} SAside {areaside} radius {rad} len {len} units 1
    create rxnpool {pool}Cabuf
    setfield {pool}Cabuf Cinit {cabufinit} vol {volume} SAout {areaout} SAside {areaside} radius {rad} len {len} units 1
    create conservepool {pool}buf
    setfield {pool}buf Ctot {buftot} volume {volume}

    /* create reaction */
//rate constants converted to sec and millimole units.  Must be lower if using SI units
//this affinity is 0.005 micromole = 5 nanomole - way too high!
    create reaction {pool}cabufrxn
    setfield {pool}cabufrxn kf 0.028e6 kb 19.6

    /* messages from substrates and product to reaction */
    addmsg {pool}Ca {pool}cabufrxn SUBSTRATE Conc
    addmsg {pool}buf {pool}cabufrxn SUBSTRATE Conc
    addmsg {pool}Cabuf {pool}cabufrxn PRODUCT Conc

    /* messages from reaction to substrates and products */
    addmsg {pool}cabufrxn {pool}Ca RXN2 kbprod kfsubs
    addmsg {pool}cabufrxn {pool}Cabuf RXN2 kfsubs kbprod

    /* conserve pool messages */
    addmsg {pool}Cabuf {pool}buf CONC Conc

end

